# OpalMSRPMediaSession Class Reference

`#include <msrp.h>`

Inheritance diagram for OpalMSRPMediaSession:

[legend]
Collaboration diagram for OpalMSRPMediaSession:
[legend]

## Public Member Functions

| OpalMSRPMediaSession (OpalConnection &connection, unsigned sessionId)
| OpalMSRPMediaSession (const OpalMSRPMediaSession &_obj)
| ~OpalMSRPMediaSession ()
bool | Open (const PURL &remoteParty)
virtual void | Close ()
virtual PObject * | Clone () const
virtual bool | IsActive () const
virtual bool | IsRTP () const
virtual bool | HasFailed () const
virtual OpalTransportAddress | GetLocalMediaAddress () const
PURL | GetLocalURL () const
PURL | GetRemoteURL () const
void | SetRemoteURL (const PURL &url)
virtual void | SetRemoteMediaAddress (const OpalTransportAddress &, const OpalMediaFormatList &)
virtual bool | WritePacket (RTP_DataFrame &frame)
PBoolean | ReadData (BYTE *data, PINDEX length, PINDEX &read)
virtual SDPMediaDescription * | CreateSDPMediaDescription (const OpalTransportAddress &localAddress)
virtual OpalMediaStream * | CreateMediaStream (const OpalMediaFormat &mediaFormat, unsigned sessionID, PBoolean isSource)
OpalMSRPManager & | GetManager ()
bool | OpenMSRP (const PURL &remoteUrl)
void | CloseMSRP ()
void | SetConnection (PSafePtr< OpalMSRPManager::Connection > &conn)

## Data Fields

OpalMSRPManager & | m_manager
bool | m_isOriginating
std::string | m_localMSRPSessionId
PURL | m_localUrl
PURL | m_remoteUrl
PSafePtr< OpalMSRPManager::Connection > | m_connectionPtr
OpalTransportAddress | m_remoteAddress

## Detailed Description

Class for carrying MSRP session information

## Constructor & Destructor Documentation

OpalMSRPMediaSession::OpalMSRPMediaSession | ( | OpalConnection & | connection,
|  | unsigned | sessionId |
| ) |  |  |

OpalMSRPMediaSession::OpalMSRPMediaSession | ( | const OpalMSRPMediaSession & | _obj | ) |

OpalMSRPMediaSession::~OpalMSRPMediaSession | ( |  | ) |

## Member Function Documentation

virtual PObject* OpalMSRPMediaSession::Clone | ( |  | ) | const`[inline, virtual]`

Implements OpalMediaSession.

virtual void OpalMSRPMediaSession::Close | ( |  | ) | `[virtual]`

Implements OpalMediaSession.

void OpalMSRPMediaSession::CloseMSRP | ( |  | ) |

virtual OpalMediaStream* OpalMSRPMediaSession::CreateMediaStream | ( | const OpalMediaFormat & | mediaFormat,
|  | unsigned | sessionID,
|  | PBoolean | isSource |
| ) |  |  | `[virtual]`

Implements OpalMediaSession.

virtual SDPMediaDescription* OpalMSRPMediaSession::CreateSDPMediaDescription | ( | const OpalTransportAddress & | localAddress | ) | `[virtual]`

Implements OpalMediaSession.

virtual OpalTransportAddress OpalMSRPMediaSession::GetLocalMediaAddress | ( |  | ) | const`[virtual]`

Implements OpalMediaSession.

PURL OpalMSRPMediaSession::GetLocalURL | ( |  | ) | const`[inline]`

OpalMSRPManager& OpalMSRPMediaSession::GetManager | ( |  | ) | `[inline]`

PURL OpalMSRPMediaSession::GetRemoteURL | ( |  | ) | const`[inline]`

virtual bool OpalMSRPMediaSession::HasFailed | ( |  | ) | const`[inline, virtual]`

Implements OpalMediaSession.

virtual bool OpalMSRPMediaSession::IsActive | ( |  | ) | const`[inline, virtual]`

Implements OpalMediaSession.

virtual bool OpalMSRPMediaSession::IsRTP | ( |  | ) | const`[inline, virtual]`

Implements OpalMediaSession.

bool OpalMSRPMediaSession::Open | ( | const PURL & | remoteParty | ) |

bool OpalMSRPMediaSession::OpenMSRP | ( | const PURL & | remoteUrl | ) |

PBoolean OpalMSRPMediaSession::ReadData | ( | BYTE * | data,
|  | PINDEX | length,
|  | PINDEX & | read |
| ) |  |  |

void OpalMSRPMediaSession::SetConnection | ( | PSafePtr< OpalMSRPManager::Connection > & | conn | ) |

virtual void OpalMSRPMediaSession::SetRemoteMediaAddress | ( | const OpalTransportAddress & | ,
|  | const OpalMediaFormatList & |  |
| ) |  |  | `[virtual]`

Reimplemented from OpalMediaSession.

void OpalMSRPMediaSession::SetRemoteURL | ( | const PURL & | url | ) | `[inline]`

virtual bool OpalMSRPMediaSession::WritePacket | ( | RTP_DataFrame & | frame | ) | `[virtual]`

## Field Documentation

PSafePtr<OpalMSRPManager::Connection> OpalMSRPMediaSession::m_connectionPtr

bool OpalMSRPMediaSession::m_isOriginating

std::string OpalMSRPMediaSession::m_localMSRPSessionId

PURL OpalMSRPMediaSession::m_localUrl

OpalMSRPManager& OpalMSRPMediaSession::m_manager

OpalTransportAddress OpalMSRPMediaSession::m_remoteAddress

PURL OpalMSRPMediaSession::m_remoteUrl

The documentation for this class was generated from the following file:

- msrp.h